/*
*
* CwBdManualSerial.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-06-04
*/
package com.dhcc.finance.main.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 *  * cw_bd_manual_serial
 */
public class CwBdManualSerial {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = false, example = "")
    private String id;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", required = false, example = "")
    private String batchNo;

    /**
     * 凭证号
     * */
    @ApiModelProperty(value = "凭证号", required = false, example = "")
    private String pkVoucher;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号", required = false, example = "")
    private String projectCode;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称", required = false, example = "")
    private String projectName;

    /**
     * 子项目编号
     */
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String subProjectCode;

    /**
     * 子项目名称
     */
    @ApiModelProperty(value = "子项目名称", required = false, example = "")
    private String subProjectName;

    /**
     * 科目编号
     */
    @ApiModelProperty(value = "科目编号", required = false, example = "")
    private String subjcode;

    /**
     * 生成凭证类型
     */
    @ApiModelProperty(value = "生成凭证类型", required = false, example = "")
    private String voucherType;

    /**
     * 生成凭证金额
     */
    @ApiModelProperty(value = "生成凭证金额", required = false, example = "")
    private BigDecimal voucherAmount;

    /**
     * 贷款金额
     */
    @ApiModelProperty(value = "贷款金额", required = false, example = "")
    private BigDecimal loanAmount;

    /**
     * 印花税
     */
    @ApiModelProperty(value = "印花税", required = false, example = "")
    private BigDecimal stampDuty;

    /**
     * 银行利息
     */
    @ApiModelProperty(value = "银行利息", required = false, example = "")
    private BigDecimal interest;

    /**
     * 导入日期
     */
    @ApiModelProperty(value = "导入日期", required = false, example = "")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date importDate;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

    /**
     * 主键
     * @return ID 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 批次号
     * @return BATCH_NO 批次号
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批次号
     * @param batchNo 批次号
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    /**
     * 凭证号
     * @return PK_VOUCHER 凭证号
     * */
    public String getPkVoucher() {
        return pkVoucher;
    }

    /**
     * 凭证号
     * @param pkVoucher 凭证号
     * */
    public void setPkVoucher(String pkVoucher) {
        this.pkVoucher = pkVoucher;
    }

    /**
     * 项目编号
     * @return PROJECT_CODE 项目编号
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * 项目编号
     * @param projectCode 项目编号
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode == null ? null : projectCode.trim();
    }

    /**
     * 项目名称
     * @return PROJECT_NAME 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 子项目编号
     * @return SUB_PROJECT_CODE 子项目编号
     */
    public String getSubProjectCode() {
        return subProjectCode;
    }

    /**
     * 子项目编号
     * @param subProjectCode 子项目编号
     */
    public void setSubProjectCode(String subProjectCode) {
        this.subProjectCode = subProjectCode;
    }

    /**
     * 子项目名称
     * @return SUB_PROJECT_NAME 子项目名称
     */
    public String getSubProjectName() {
        return subProjectName;
    }

    /**
     * 子项目名称
     * @param subProjectName 子项目名称
     */
    public void setSubProjectName(String subProjectName) {
        this.subProjectName = subProjectName;
    }

    /**
     * 科目编号
     * @return SUBJCODE 科目编号
     */
    public String getSubjcode() {
        return subjcode;
    }

    /**
     * 科目编号
     * @param subjcode 科目编号
     */
    public void setSubjcode(String subjcode) {
        this.subjcode = subjcode == null ? null : subjcode.trim();
    }

    /**
     * 生成凭证类型
     * @return VOUCHER_TYPE 生成凭证类型
     */
    public String getVoucherType() {
        return voucherType;
    }

    /**
     * 生成凭证类型
     * @param voucherType 生成凭证类型
     */
    public void setVoucherType(String voucherType) {
        this.voucherType = voucherType == null ? null : voucherType.trim();
    }

    /**
     * 生成凭证金额
     * @return VOUCHER_AMOUNT 生成凭证金额
     */
    public BigDecimal getVoucherAmount() {
        return voucherAmount;
    }

    /**
     * 生成凭证金额
     * @param voucherAmount 生成凭证金额
     */
    public void setVoucherAmount(BigDecimal voucherAmount) {
        this.voucherAmount = voucherAmount;
    }

    /**
     * 贷款金额
     * @return LOAN_AMOUNT 贷款金额
     */
    public BigDecimal getLoanAmount() {
        return loanAmount;
    }

    /**
     * 贷款金额
     * @param loanAmount 贷款金额
     */
    public void setLoanAmount(BigDecimal loanAmount) {
        this.loanAmount = loanAmount;
    }

    /**
     * 印花税
     * @return STAMP_DUTY 印花税
     */
    public BigDecimal getStampDuty() {
        return stampDuty;
    }

    /**
     * 印花税
     * @param stampDuty 印花税
     */
    public void setStampDuty(BigDecimal stampDuty) {
        this.stampDuty = stampDuty;
    }

    /**
     * 银行利息
     * @return INTEREST 银行利息
     */
    public BigDecimal getInterest() {
        return interest;
    }

    /**
     * 银行利息
     * @param interest 银行利息
     */
    public void setInterest(BigDecimal interest) {
        this.interest = interest;
    }

    /**
     * 导入日期
     * @return IMPORT_DATE 导入日期
     */
    public Date getImportDate() {
        return importDate;
    }

    /**
     * 导入日期
     * @param importDate 导入日期
     */
    public void setImportDate(Date importDate) {
        this.importDate = importDate;
    }

    /**
     * 使用状态
     * @return USE_STATE 使用状态
     */
    public String getUseState() {
        return useState;
    }

    /**
     * 使用状态
     * @param useState 使用状态
     */
    public void setUseState(String useState) {
        this.useState = useState == null ? null : useState.trim();
    }

    /**
     * 录入人员
     * @return CREATE_USER 录入人员
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 录入人员
     * @param createUser 录入人员
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    /**
     * 录入时间
     * @return CREATE_TIME 录入时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 录入时间
     * @param createTime 录入时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后修改人员
     * @return UPDATE_USER 最后修改人员
     */
    public String getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后修改人员
     * @param updateUser 最后修改人员
     */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    /**
     * 最后修改时间
     * @return UPDATE_TIME 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备注
     * @return REMARK 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}